Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeInstanceAttributeResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeInstanceAttributeResult

    public class DescribeInstanceAttributeResult

extends Object

The result of describing an instance's attribute.

Constructor Summary
`DescribeInstanceAttributeResult()`

Method Summary
`InstanceAttribute` | `getInstanceAttribute()` The described instance attribute.
`void` | `setInstanceAttribute(InstanceAttribute instanceAttribute)` The described instance attribute.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeInstanceAttributeResult` | `withInstanceAttribute(InstanceAttribute instanceAttribute)` The described instance attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeInstanceAttributeResult

    public DescribeInstanceAttributeResult()

Method Detail

### getInstanceAttribute

    public InstanceAttribute getInstanceAttribute()

  The described instance attribute.

  Returns:
    The described instance attribute.

### setInstanceAttribute

    public void setInstanceAttribute(InstanceAttribute instanceAttribute)

  The described instance attribute.

  Parameters:
    `instanceAttribute` - The described instance attribute.

### withInstanceAttribute

    public DescribeInstanceAttributeResult withInstanceAttribute(InstanceAttribute instanceAttribute)

  The described instance attribute.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceAttribute` - The described instance attribute.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.